# Uses of Interface
org.eclipse.emf.cdo.expressions.FloatValue

Packages that use FloatValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of FloatValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return FloatValue
Modifier and Type
Method
Description
`FloatValue`
ExpressionsFactory.`createFloatValue()`
Returns a new object of class 'Float Value'.

## Uses of FloatValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement FloatValue
Modifier and Type
Class
Description
`class`
`FloatValueImpl`
An implementation of the model object 'Float Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return FloatValue
Modifier and Type
Method
Description
`FloatValue`
ExpressionsFactoryImpl.`createFloatValue()`

## Uses of FloatValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return FloatValue
Modifier and Type
Method
Description
`static FloatValue`
ExpressionsUtil.`value(float literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type FloatValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseFloatValue(FloatValue object)`
Returns the result of interpreting the object as an instance of 'Float Value'.